GLOP(1)

NAME

glop
    - Fanout optimizer, global optimizer and timing analyzer of a gate netlist

SYNOPSIS

glop [-f | -g | -t | -i]  netlist_file netlist_output [file_of_parameters]

DESCRIPTION
glop is a CAD tool that permits to remove fanout problems within a gates netlist and to optimize the delay. The netlist can be hierarchical and is flattened if necessary. glop run in batch mode and a parameter file can be used (see man lax) to parametrize optimization by adding informations on outputs (fanin), inputs (fanout, delay) and by setting general parameters such as fanout factor. glop permits to compute delays of gates in the netlist and gives the critical path in the netlist. The global optimization of glop performs gate repowering and buffer inserting to decrease the critical path delay.

OPTIONS
One option may be given at the same time.

-f performs a fanout optimization : This checks the fanout of every gates, regardless of the critical path, and insert buffer or a more powerfull gate if necessary.

-g performs a timing optimization : This checks the fanout of every gates and insert buffer or a more powerfull gate only if the critical path is not altered.

-i gives fanout informations about the netlist

-t gives timing informations about the netlist

EXAMPLES
You can call glop as follows :
    glop -f add8 add8opt
    glop -g alu4 alu4buff myparam

ENVIRONMENT VARIABLES

MBK_WORK_LIB gives the path for the input and output netlist files or parameter file.

MBK_CATA_LIB gives the auxiliary path for the input netlist file or paths for the cell libraries.

MBK_IN_LO gives the format for input structural description.

MBK_OUT_LO gives the format for output structural description.

MBK_VDD & MBK_VSS permits to define the alimentation names.

SEE ALSO
genlib(1), scmap(1), sclib(1), scr(1)

DIAGNOSTICS

Special optimisation can be done running glop twice :
    1: glop -g alu4 alu4g myparam
    2: glop -f alu4g alu4buff myparam
Then the second time glop is run (whith -f) it doesn't optimizes the gates added by the first pass and uses a FANOUT_FACTOR/4 for the internal gates. This is used to optimize the critcal path AND the interface cells.